Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74059 - [PATCH] translations are ignored
Summary: [PATCH] translations are ignored
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: setuptool
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: EasyFix-Tracker
TreeView+ depends on / blocked
 
Reported: 2002-09-14 01:38 UTC by Miloslav Trmac
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-07 07:31:08 UTC


Attachments (Terms of Use)
Patch to get tool names translated (deleted)
2003-07-16 19:15 UTC, Miloslav Trmac
no flags Details | Diff

Description Miloslav Trmac 2002-09-14 01:38:26 UTC
setuptool-1.9-2

Translations are installed to /usr/share/locale/??/LC_MESSAGES/setup.po,
but the domain used is setuptool, so they are looked for at
/usr/share/locale/??/LC_MESSAGES/setuptool.po and never found, so
nothing gets translated.

Even if the file is moved, tool names are not translated, apparently
because the initialization of the toollist[] array occurrs before
call to bindtextdomain.

Comment 1 Miloslav Trmac 2002-10-05 23:55:30 UTC
Same in 8.0

Comment 2 Miloslav Trmac 2003-01-07 14:12:36 UTC
Same in Phoebe.

Comment 3 Miloslav Trmac 2003-07-16 19:15:09 UTC
Created attachment 92965 [details]
Patch to get tool names translated

setuptool-1.13-2 helps somewhat, but the list of configuration tools still
is not translated. Attached patch (agains 1.13-2) fixes that.

Comment 4 Miloslav Trmac 2003-10-05 15:51:00 UTC
Same in FC 0.94.

Comment 5 Miloslav Trmac 2004-04-08 12:43:16 UTC
Same in setuptool-1.13-2.1.

Comment 6 Peter van Egdom 2004-06-03 19:01:46 UTC
I think this bug can be closed. See Bugzilla bug 102082 (Determine
available translations at build-time).

This bug seems fixed in Fedora Core release 2 (Tettnang).

Comment 7 Miloslav Trmac 2004-06-07 07:31:08 UTC
This is unrelated to bug 102082, but yes, it is fixed.
Thanks for the reminder.


Note You need to log in before you can comment on or make changes to this bug.